<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
//---------------
cache();
//-----------------
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
$cd_docente="";
if($sesion->getVar('ac_tipo_user')=='1'){
	$cd_docente=$sesion->getVar("info_doc.cod_profesor"); 	
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Asignacion de faltas</title>
 <script type="text/x-kendo-template" id="toolTemplate">
	<div class="toolbar">
		<a class="k-button k-button-icontext k-grid-add"><span class="k-icon k-add"></span>Add new record</a>
	</div>
</script>
<script  type="text/javascript"> 
var element=null, rowt=null, wnd;
$(document).ready(function(e) {
    var total_por=0;
	var cod_docente="<?php echo $cd_docente ?>";
	var gr=null;
	var ide_act;
	var wndFaltas,dtSelectFalta,dtsFaltas;
	
	
/*//-----------------------------------------------------------------------------------------------------*/
	$("#md_n_txtsedes").change(function(){
		cd_sede=$(this).val();
		if(cod_docente==""){
			dt={cod_cnds:cd_sede,codigo:'a28',mopc:'0'}
		}else{
			dt={cod_cnds:cod_docente+"|"+cd_sede,codigo:'a25',mopc:'0'}
		}
		$.ajax({
			type: "POST",
			url: "includes/cargar_selec_normal.php",
			data: dt ,
			success: function(dt){
				$("#md_n_txtjornadas").html(dt);
				$("#md_n_txtjornadas").trigger("change");
			},
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/

	$("#md_n_txtjornadas").change(function(){
		var jor=$(this).val();
		$.ajax({
			type: "POST",
			url: "mod_inasistencias/cargar_select_grupos.php",
			data: {sede:$("#md_n_txtsedes").val(), jornada:jor},
			success: function(rta){
				$("#md_n_txtgrupo").html(rta);
				$("#md_n_txtgrupo").trigger("change");
			}
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/

	$("#md_n_txtgrupo").change(function(){
		cd_grupo=$(this).val();
		$.ajax({
			type: "POST",
			url: "mod_inasistencias/cargar_select_periodos.php",
			data: {cod_cnds:cd_grupo},
			success: function(rta){
				$("#md_n_periodo").html(rta);
				$("#md_n_periodo").trigger("change");
			}
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/			
	
	$("#md_n_periodo").change(function(){
		dtsListEstud.read();
	});
/*//-----------------------------------------------------------------------------------------------------*/
	$("#md_n_txtsedes").trigger("change");
	
	
	
	var listTipo_inasis=$("#txt_tipo_falta_inasis").data("kendoDropDownList");
	
	var txt_fecha_falta_f=$("#txt_fecha_falta_f").kendoDateTimePicker({format:"yyyy-MM-dd HH:mm", interval: 15}).data("kendoDateTimePicker");
	
	var tip_faltas=$("#txt_tipo_falta_f").kendoDropDownList({
		change:function(){
			dtsFaltas.dataSource.filter({ field: "cd_tip", operator: "eq", value: tip_faltas.value() });
			dtsFaltas.select(0)
		}
	}).data("kendoDropDownList");
	
/*//-----------------------------------------------------------------------------------------------------*/
	 var dTsMaterias=new kendo.data.DataSource({
		pageSize: 1000,
		id:'id', 
		transport: {
			read: "mod_inasistencias/list_materias_grupo.php",
		},
	 });
	 	 
	var objDtsMat=$("#txt_materia_inasis").kendoDropDownList({
		dataTextField: "nombre",
		dataValueField: "id",
		dataSource:dTsMaterias
	 }).data("kendoDropDownList");
	 
 	dtsFaltas=$("#txt_det_falta_f").kendoDropDownList({
		dataTextField: "descrip",
		dataValueField: "cd_falt",
		change:function(e){
			elem=$("#txt_detatlle_f");
			t=elem.val();
			t=(t=="") ? "" : t+"\n";
			elem.val(t+dtsFaltas.text())
		},		
		dataSource:{
			pageSize: 1000,
			transport: {
				read:"mod_inasistencias/list_detallefaltas.php",
			},
		 }
	 }).data("kendoDropDownList");
	 
var rowOpen="",b=true;
var dtsListEstud=new kendo.data.DataSource({
	type: "json",
	transport: {
		read:{
			url:"mod_inasistencias/list_estudiantesxfaltas.php",
			data:function(){
				return{
					cdgr:$("#md_n_txtgrupo").val(), 
					per_calif:$("#md_n_periodo").val(), 
				}
			}
		}
	},
	schema: {
		model:{
			fields:{
				numedocumento_est:"numedocumento_est",
				nom_ape:"nom_ape",
				num_faltas_jus:"num_faltas_jus",
				num_faltas_injus: "num_faltas_injus",
			}
		}
	}, 
	pageSize: 45,
	serverPaging: false,
	serverSorting: false,
	serverFiltering: false,
});
element = $("#grid_list_infoxfaltxinasist").kendoGrid({
	dataSource:dtsListEstud,
	detailExpand:function(e){
		dataid=e.masterRow.attr("data-uid");
		
		if(rowOpen!=dataid){
			element.collapseRow(element.tbody.find(">tr.k-master-row[data-uid="+rowOpen+"]"));
			rowOpen=dataid;
		}
	},
	height: 500,
	sortable: true,
	pageable: false,
	scrollable: true,
	selectable: true,
	detailTemplate: kendo.template($("#template").html()),
	detailInit: detailInit,
	change:function(e){
		dts=element.dataItem(this.tbody.find(">tr.k-state-selected"));
		dTsMaterias.filter({ field: "cd_est", operator: "eq", value: dts.cod_estudiante });

		selector=this.tbody.find(">tr.k-state-selected").first();
		this.expandRow(selector);
		rowOpen=selector.attr("data-uid");
	},
	toolbar:[
		{name:"px\"id=\"btn_new_inasis", text:" Inasistencia", iconClass:"k-icon" ,imageClass:"ui-btn-new"},
		{name:"px\"id=\"btn_new_faltas", text:" Inasistencia", iconClass:"k-icon" ,imageClass:"ui-btn-new"}
	],
	dataBound: function() {
		selector=this.tbody.find("tr.k-master-row").first();
		element.select(element.tbody.find(">tr:first"));
		/*this.expandRow(selector);
		rowOpen=selector.attr("data-uid");*/
	},
	columns: [
		{field: "numedocumento_est", title: "N°. Documento", width:120},
		{field: "nom_ape", title: "Nombres y apellidos",width:220},
		{field: "num_faltas_jus", title: "Faltas justificadas",width:120},
		{field: "num_faltas_injus", title: "Faltas injustificadas",width:120},
/*		{command: { text: "add falta", imageClass: "k-add", class: "k-grid-add", click: function(){},  }, title: " ", width: "110px" }
*/	]
}).data("kendoGrid");


$("#btn_new_inasis").click(function(e){
	e.preventDefault();
	refreshm();
	viewModel.set("showBtnAdd",true);
	wnd.center().open();
});

$("#btn_new_faltas").click(function(e){
	e.preventDefault();
	$("#actFalta").hide();
	$("#addFalta").show();
	txt_fecha_falta_f.value(new Date())
	dtsFaltas.select(0)
	$("#txt_detatlle_f").val(""),
	$("#txt_obs_f").val(""),
	wndFaltas.center().open();
	tabDetail.select(1)
});

$("#addFalta").click(function(){
	fecha=kendo.toString(txt_fecha_falta_f.value(),"yyyy-MM-dd HH:mm"),
	periodo=$("#md_n_periodo").val(),
	det_fal=$("#txt_detatlle_f").val(),
	obs_fal=$("#txt_obs_f").val();
	cod_falta=dtsFaltas.value();
	tip_falta=tip_faltas.text();
	ide_tipo_falta=tip_faltas.value();
//	id_estud:dts.cod_estudiante
	$.ajax({
		url:"mod_inasistencias/opera_faltas.php",
		type:"POST",
		dataType:"json",
		data:{
			oper:"add",
			fecha:fecha,
			periodo:$("#md_n_periodo").val(),
			det_fal:$("#txt_detatlle_f").val(),
			obs_fal:$("#txt_obs_f").val(),
			cod_falta:dtsFaltas.value(),
			id_estud:dts.cod_estudiante
		},
		success: function(rta){
			modulo="faltas";
			if(rta.error==0){
				dtsListFaltas.insert(0,{ 
					id_falxest:rta.id,
					nom_tp_falta:tip_falta, 
					ide_tipo_falta:ide_tipo_falta,
					des_falta:det_fal,
					obs_falta:obs_fal, 
					fecha_falta: fecha , 
					cd_falta:cod_falta 
				});
				wndFaltas.close();
				notifica_ok("<?php echo $cleguaje->Phrase("global","newexito") ?>");

			}else{
				if (rta['error']=='session'){
					modulo='global';
				}
				jAlert(getMsg(modulo,rta['error']),"<?php echo $cleguaje->Phrase('project','institucion') ?>",function(){
					if(rta['error']=='session'){
						wndFaltas.close();
						$("#salir").trigger("click");	
					}	
				});
			}					
		}
	});	
});

$("#actFalta").click(function(){
	fecha=kendo.toString(txt_fecha_falta_f.value(),"yyyy-MM-dd HH:mm"),
	periodo=$("#md_n_periodo").val(),
	det_fal=$("#txt_detatlle_f").val(),
	obs_fal=$("#txt_obs_f").val(),
	cod_falta=dtsFaltas.value(),
	tip_falta=tip_faltas.text(),
	id_tip_falta=tip_faltas.value(),
	id_inasis=$("#cod_falta").val()
	$.ajax({
		url:"mod_inasistencias/opera_faltas.php",
		type:"POST",
		dataType:"json",
		data:{
			oper:"edit",
			fecha:fecha,
			periodo:$("#md_n_periodo").val(),
			det_fal:$("#txt_detatlle_f").val(),
			obs_fal:$("#txt_obs_f").val(),
			cod_falta:dtsFaltas.value(),
			id_inasis:id_inasis,
		},
		success: function(rta){
			modulo="faltas";
			if(rta.error==0){
				dtSelectFalta.set("nom_tp_falta",tip_falta);
				dtSelectFalta.set("des_falta",det_fal);
				dtSelectFalta.set("obs_falta",obs_fal);
				dtSelectFalta.set("fecha_falta",fecha);
				dtSelectFalta.set("cd_falta",cod_falta);
				dtSelectFalta.set("ide_tipo_falta",id_tip_falta);
				rowt=dtSelectFalta;
				wndFaltas.close();
				notifica_ok("<?php echo $cleguaje->Phrase("global","editexito") ?>");

			}else{
				if (rta['error']=='session'){
					modulo='global';
				}
				jAlert(getMsg(modulo,rta['error']),"<?php echo $cleguaje->Phrase('project','institucion') ?>",function(){
					if(rta['error']=='session'){
						wndFaltas.close();
						$("#salir").trigger("click");	
					}	
				});
			}					
		}
	});	
});

var dtsListInasis, selectRowInasis, dtsListFaltas;
var tabDetail;
function detailInit(e) {
	
		var detailRow = e.detailRow;
		tabDetail=detailRow.find("#tabs_detalles").kendoTabStrip({
			animation: {
				open: { effects: "fadeIn" }
			}
		}).data("kendoTabStrip");
		dtsListFaltas=new kendo.data.DataSource({ 
			type: "json",
			transport: {
				read:{
					url:"mod_inasistencias/list_faltas.php",
					data:{id:e.data.cod_estudiante}
				},						
			},	
			schema: {
				model:{
					id: "id_falxest",
					fields: {
						id_falxest: { editable: false, nullable: true },
						fecha_falta: "fecha_falta",
						nom_tp_falta: "nom_tp_falta",
						des_falta:"des_falta",
						obs_falta: "obs_falta",
						nom_asi:"nom_asi",
						id_materia:"id_materia" 
					}
				}
			},	
			serverPaging: false,
			serverSorting: false,
			serverFiltering: false,
			pageSize:6,
		});
		var gridFaltas=detailRow.find("#det_faltas").kendoGrid({
			dataSource: dtsListFaltas,
			navigatable: false,
			selectable: true,
			scrollable: false,
			sortable: true,
			pageable: true,
			columns: [
				{ field: "nom_tp_falta", title:"Tipo" ,  width: 70, sortable: true},
				{ field: "fecha_falta", title:"Fecha y hora", template: '#= kendo.toString(fecha_falta,"yyyy-MM-dd HH:mm") #', width: 100, sortable: true, },
				{ field: "des_falta", title:"Descripcion" , template:'<div style="height:30px !important; width:200px" title="#= des_falta #">#= des_falta # </span>',  width: 190, sortable: true},
				{ field: "obs_falta", title: "Observacion", template:'<div style="height:30px !important; width:200px" title="#= obs_falta #">#= obs_falta # </span>', width: 190, sortable: false},
				{width: 70, 
					command: [
						{ name:"btn_del", text:"", iconClass:"k-icon" ,imageClass:"ui-btn-del", click:fn_deleteRowFaltas },
						{ name:"btn_edit", text:"", iconClass:"k-icon" ,imageClass:"ui-btn-edit", click:editRegistroFaltas }
					], 
				title: "&nbsp;"}
			]
		}).data("kendoGrid");
		$("th").css("font-weight","bold");
		
		 dtsListInasis=new kendo.data.DataSource({ 
			type: "json",
			transport: {
				read:{
					url:"mod_inasistencias/list_inasistencias.php",
					data:{
						id:e.data.cod_estudiante,
						per_cal:$("#md_n_periodo").val(),
					}
				},						
			},
			schema: {
				model:{
					id: "id_inasis",
					fields: {
						id_inasis: { editable: false, nullable: true },
						fecha: { type:"date", validation: { required: true, } },
						tipo: "tipo",
						obs: "obs",
						nom_asi:"nom_asi",
						id_materia:"id_materia" 
					}
				}
			},		
			serverPaging: false,
			serverSorting: false,
			serverFiltering: false,
			pageSize:6,
		});
		
		var gridInasis=detailRow.find("#det_inasistencias").kendoGrid({
			dataSource: dtsListInasis,
			navigatable: false,
			selectable: true,
			scrollable: false,
			sortable: true,
			pageable: true,
			change:function(e){
			  selectRowInasis=gridInasis.dataItem(this.tbody.find(">tr.k-state-selected"));
			  viewModel.set("fecha",selectRowInasis.fecha);
			  viewModel.set("tipo_inasis",selectRowInasis.cod_tipo_in);
			  viewModel.set("obs",selectRowInasis.obs);
			  viewModel.set("id",selectRowInasis.id_inasis);
			  objDtsMat.value(selectRowInasis.id_materia);
			},
			columns: [
				{ field: "nom_asi", title:"Materia" ,  width: 150, sortable: true},
				{ field: "fecha", title:"Fecha", template: '#= kendo.toString(fecha,"yyyy-MM-dd","d") #', width: 70, sortable: true, },
				{ field: "tipo", title:"Tipo Falta" ,  width: 70, sortable: true},
				{ field: "obs", title: "Observacion", width: 200, sortable: false},
				{width: 65, 
					command: [
						{ name:"btn_del", text:"", iconClass:"k-icon" ,imageClass:"ui-btn-del", click:fn_deleteRow },
						{ name:"btn_edit", text:"", iconClass:"k-icon" ,imageClass:"ui-btn-edit", click:editRegistro }
					], 
				title: "&nbsp;"}
			]
		}).data("kendoGrid");
		$("th").css("font-weight","bold");
}/*//fin fn detalle*/

	var viewModel = kendo.observable({
		list_tip_fal_inasis:[
			{name: "Justificada", value: "0"},
			{name: "Injustificada", value: "1"},
		],
		fecha: new Date(),
		displayDatePickerValue: function() {
			var fecha = this.get("fecha");
			return kendo.toString(fecha, "yyyy-MM-dd");
		},
		obs:"",
		tipo_inasis:null,
		displayDropDownListValue: function() {
			var tipo_inasis = this.get("tipo_inasis");
			return kendo.stringify(tipo_inasis);
		},
		showBtnAdd:false,
		add:function(){	
			var model=this;
			cd_tipo=model.tipo_inasis.value;
			no_tipo=model.tipo_inasis.name;
			obs=model.obs;
			fech=kendo.toString(model.fecha,"yyyy-MM-dd");
			$.ajax({
				url:"mod_inasistencias/opera_inasistencias.php",
				type:"POST",
				dataType:"json",
				data:{
					id_materia: objDtsMat.value(),
					periodo:$("#md_n_periodo").val(),
					oper:"add",
					fecha:kendo.toString(model.fecha,"yyyy-MM-dd"),
					obs:obs,
					cod_tipo_in:model.tipo_inasis.value,
				},
				success: function(rta){
					modulo="inasistencias";
					if(rta.error==0){
						dtsListInasis.insert(0,{ 
							id_inasis:rta.id,
							obs:obs, 
							cod_tipo_in:cd_tipo,
							tipo:no_tipo, 
							fecha: fech , 
							nom_asi:objDtsMat.text() 
						});
						notifica_ok("<?php echo $cleguaje->Phrase("global","newexito") ?>");
						wnd.close();
						refreshm();
					}else{
						if (rta['error']=='session'){
							modulo='global';
						}
						jAlert(getMsg(modulo,rta['error']),"<?php echo $cleguaje->Phrase('project','institucion') ?>",function(){
							if(rta['error']=='session'){
								wnd.close();
								$("#salir").trigger("click");	
							}	
						});
					}					
				}
			});	
			wnd.close();
			refreshm();
		},
		showBtnUpt:false,
		udt:function(){
			model=this;
			$.ajax({
				url:"mod_inasistencias/opera_inasistencias.php",
				type:"POST",
				dataType:"json",
				data:{
					id_materia: objDtsMat.value(),
					periodo:$("#md_n_periodo").val(),
					oper:"edit",
					fecha:kendo.toString(model.fecha,"yyyy-MM-dd"),
					obs:model.obs,
					id_inasis:(selectRowInasis) ? selectRowInasis.id_inasis :"",
					cod_tipo_in:model.tipo_inasis.value,
				},
				success: function(rta){
					modulo="inasistencias";
					if(rta.error==0){
						selectRowInasis.set("obs",model.obs);
						selectRowInasis.set("tipo",model.tipo_inasis.name);
						selectRowInasis.set("fecha",kendo.toString(model.fecha,"yyyy-MM-dd"));
						selectRowInasis.set("nom_asi",objDtsMat.text());
						selectRowInasis.set("cod_tipo_in",model.tipo_inasis.value);
						notifica_ok("<?php echo $cleguaje->Phrase("global","editexito") ?>");
						wnd.close();
						refreshm();
					}else{
						if (rta['error']=='session'){
							modulo='global';
						}
						jAlert(getMsg(modulo,rta['error']),"<?php echo $cleguaje->Phrase('project','institucion') ?>",function(){
							if(rta['error']=='session'){
								wnd.close();
								$("#salir").trigger("click");	
							}	
						});
					}					
				}
			});
			
		}
	});
	
function refreshm(){
	viewModel.set("fecha",new Date());
	viewModel.set("tipo_inasis",viewModel.list_tip_fal_inasis[0]);
	viewModel.set("obs","");
	viewModel.set("showBtnAdd",false);
	viewModel.set("showBtnUpt",false);
}
	viewModel.tipo_inasis = viewModel.list_tip_fal_inasis[0];
	kendo.bind($("#form-container"), viewModel);
	
	wnd = $("#form-container").kendoWindow({
		title: "Inasistencia",
		modal: true,
		visible: false,
		resizable: false,
		close:refreshm,
		width: 'auto'
	}).data("kendoWindow");

	wndFaltas = $("#form-containerFaltas").kendoWindow({
		title: "Faltas",
		modal: true,
		visible: false,
		resizable: false,
		width: 'auto'
	}).data("kendoWindow");
	
	
	function editRegistroFaltas(e){
		e.preventDefault();
		dtSelectFalta = this.dataItem($(e.currentTarget).closest("tr"));
		txt_fecha_falta_f.value(dtSelectFalta.fecha_falta)
		tip_faltas.value(dtSelectFalta.ide_tipo_falta)
		dtsFaltas.dataSource.filter({ field: "cd_tip", operator: "eq", value: dtSelectFalta.ide_tipo_falta});
		dtsFaltas.value(dtSelectFalta.cd_falta)
		$("#txt_detatlle_f").val(dtSelectFalta.des_falta);
		$("#txt_obs_f").val(dtSelectFalta.obs_falta );
		
		$("#cod_falta").val(dtSelectFalta.id_falxest)
		$("#actFalta").show();
		$("#addFalta").hide();
		wndFaltas.center().open();
		
	}
	
	function editRegistro(e){
		e.preventDefault();
		viewModel.set("showBtnUpt",true);
		wnd.center().open();
	}
	function fn_deleteRow(e){
		e.preventDefault();
		elem = this.dataItem($(e.currentTarget).closest("tr"));
		id=elem.id_inasis;
		gralEliminar({
			url:"mod_inasistencias/opera_inasistencias.php",
			data:{id_inasis:id},
			modulo:"inasistencias",
			empresa:"<?php echo $cleguaje->Phrase('project','institucion') ?>",
			msgExito:"<?php echo $cleguaje->Phrase("global","delexito") ?>",
			msg_confirma:"<?php echo $cleguaje->Phrase("inasistencias","msgconfirdel") ?>",
			adicional:function(dt){
				dtsListInasis.remove(elem);
			}
			
		})
	}
	function fn_deleteRowFaltas(e){
		e.preventDefault();
		elem = this.dataItem($(e.currentTarget).closest("tr"));
		id=elem.id_falxest;
		gralEliminar({ 
			url:"mod_inasistencias/opera_faltas.php",
			data:{id_inasis:id},
			modulo:"inasistencias",
			empresa:"<?php echo $cleguaje->Phrase('project','institucion') ?>",
			msgExito:"<?php echo $cleguaje->Phrase("global","delexito") ?>",
			msg_confirma:"<?php echo $cleguaje->Phrase("faltas","msgconfirdel") ?>",
			adicional:function(dt){
				dtsListFaltas.remove(elem);
			}
		})
		
	}

	dtsFaltas.dataSource.filter({ field: "cd_tip", operator: "eq", value: tip_faltas.value() });
	dtsFaltas.value(0)
});
</script>
<script type="text/x-kendo-template" id="template">
	<div id="tabs_detalles" class="tabstrip">
		<ul>
			<li class="k-state-active"><strong>Inasistencias</strong>
			</li>
			<li>
				<strong>Resumen de faltas</strong>
			</li>
		</ul>
		<div>
			<div id="det_inasistencias"></div>
		</div>
		<div>
			<div id="det_faltas"></div>
		</div>
	</div>
</script>
</head>

<body>
<table align="center">
	<tr>
	  <td colspan="2">
          <table align="left">
	        <tr clas class="tit1">
	          <td><?php echo $cleguaje->getField('global','name_sede') ?></td>
	          <td><?php echo $cleguaje->getField('global','name_jornada') ?></td>
	          <td><?php echo $cleguaje->getField('global','grupos') ?></td>
	          <td id="tipo_evaluacion"><?php echo $cleguaje->getField('md_notas','periodos') ?></td>
	          </tr>
	        <tr>
	          <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
	      <?php
		  	if($cd_docente!=""){
				$sql="SELECT adm_sedes.cod_sede , adm_sedes.nom_sede FROM aca_asignaturasxgrupos 
							INNER JOIN aca_grupos ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
							INNER JOIN adm_sedes ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
						WHERE (aca_asignaturasxgrupos.cod_profesor='$cd_docente') GROUP BY adm_sedes.cod_sede";
			}else{
				$sql="SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
			}
			
					
			$academia->instruccion($sql);
			while($reg=$academia->extraer_registro()){
				echo "<option value='".$reg[cod_sede]."' aux='$cmpaux2' >".$reg[nom_sede]."</option>";	
			}
			$academia->liberar();
					
		?>
	            </select></td>
	          <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            <?php
		
               ?>
	            </select></td>
	          <td><select name="md_n_txtgrupo" class="campos" id="md_n_txtgrupo" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            </select></td>
	          <td><select name="md_n_txtperiodo" class="campos" id="md_n_periodo" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            </select></td>
	          </tr>
          </table>
      </td>
  </tr>
	<tr>
    	<td>
    		<div id="grid_list_infoxfaltxinasist" style="width:790px !important"></div>
        </td>
        <td id="form" valign="top">
        	<div id="form-container" class="" style="height:auto !important; width:auto !important">
                <table border="0">
                  <tr>
                    <td colspan="2"><select name="txt_materia_inasis" id="txt_materia_inasis" style="width:200px !important" ></select></td>
                  </tr>
                  <tr>
                    <td><input name="txt_fecha_inasis" data-role="datepicker"  type="text" data-bind="value: fecha"></td>
                    <td>
                    	<select name="txt_tipo_falta_inasis" id="txt_tipo_falta_inasis" data-role="dropdownlist" data-text-field="name" data-value-field="value" data-bind="source: list_tip_fal_inasis, value: tipo_inasis"></select>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="2"><textarea style="width:290px !important" class="k-textbox" data-bind="value: obs" name="txt_obs_inasis" cols="50" rows="10" id="txt_obs_inasis"></textarea></td>
                  </tr>
                  <tr>
                    <td align="center" colspan="2">
                    	<button  class="k-button" data-bind="visible:showBtnAdd ,click: add">Guardar</button>
                        <button  class="k-button" data-bind="visible:showBtnUpt ,click: udt">Actualizar</button>
                    </td>
                  </tr>
                </table>

            </div>
        </td>
	</tr>
</table>
</div>
<div id="form-containerFaltas">
<table border="0">
  <tr>
    <td width="140"><input type="text" name="txt_fecha_falta_f" id="txt_fecha_falta_f"></td>
    <td>
    <select name="txt_tipo_falta_f" id="txt_tipo_falta_f">
    <?php 
		$sql="SELECT ide_tipo_falta,tipo_falta FROM aux_tipos_faltas";
		$academia->instruccion($sql);
		while($reg=$academia->extraer_registro()){
			echo "<option value='".$reg[ide_tipo_falta]."'>".$reg[tipo_falta]."</option>";	
		}
		$academia->liberar();
	?>
    </select></td>
    </tr>
  <tr>
    <td colspan="2"><select name="txt_det_falta_f" id="txt_det_falta_f" style="width:390px !important">
    </select></td>
    </tr>
  <tr>
    <td colspan="2"><textarea style="width:390px !important" class="k-textbox" name="txt_detatlle_f" cols="50" rows="8" id="txt_detatlle_f"></textarea></td>
    </tr>
  <tr>
    <td colspan="2"><textarea style="width:390px !important" class="k-textbox" name="txt_obs_f" cols="50" rows="8" id="txt_obs_f"></textarea></td>
    </tr>
  <tr>
    <td colspan="2" align="center"><input type="hidden" name="cod_falta" id="cod_falta">
      <button  class="k-button" id="addFalta">Guardar</button>
      <button  class="k-button" id="actFalta">Actualizar</button></td>
  </tr>
</table>

</div>

</body>
</html>